-- phpMyAdmin SQL Dump
-- version 5.1.4
-- https://www.phpmyadmin.net/
--
-- Host: mysql-wikilerni.alwaysdata.net
-- Generation Time: Nov 26, 2022 at 01:34 PM
-- Server version: 10.4.25-MariaDB
-- PHP Version: 7.4.19

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `wikilerni_test`
--

-- --------------------------------------------------------

--
-- Table structure for table `abonnements`
--

CREATE TABLE `abonnements` (
  `id_abonnement` mediumint(8) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `designation` varchar(50) NOT NULL COMMENT 'désignation de la page / alerte email',
  `auteur_id` mediumint(8) UNSIGNED NOT NULL,
  `jours_alerte` varchar(21) DEFAULT '[0][1][2][3][4][5][6]' COMMENT 'jour(s) de la semaine souhaité(s). Valeur numérique du jour de la semaine (fonction Date PHP) encadrée, ex : [0][1] pour recevoir dimanche et lundi',
  `heure_alerte` tinyint(2) NOT NULL DEFAULT 7 COMMENT 'heure de la journée à partir de laquelle l''abonnement peut être envoyé',
  `decalage_horaire` tinyint(2) NOT NULL DEFAULT 0 COMMENT 'décalage horaire basé calculé à partir du fuseau horaire de l''utilisateur.',
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp création de la page.',
  `time_maj` int(10) UNSIGNED NOT NULL COMMENT 'timestamp dernière mise à jour de la page.',
  `time_envoi` int(10) NOT NULL DEFAULT 0 COMMENT 'timestamp dernier envoi mailing pour cet abonnement',
  `actif_ok` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT 'booléen permettant de désactivié l''envoi des emails d''un abonnement durant les périodes d''absence)',
  `ville_insee` varchar(5) DEFAULT NULL COMMENT 'code insee de la ville si il s''agit d''un abonnement local.',
  `max_liens` tinyint(3) UNSIGNED NOT NULL DEFAULT 20 COMMENT 'nombre maximum d''actualités / envoi souhaité'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Les pages d''aggrégation de flux créées par les utilisateurs.';

-- --------------------------------------------------------

--
-- Table structure for table `abonnements_hub`
--

CREATE TABLE `abonnements_hub` (
  `id_hub` mediumint(6) UNSIGNED NOT NULL COMMENT 'clé étrangère vers le hub concerné',
  `id_abonnement` mediumint(8) UNSIGNED NOT NULL COMMENT 'clé étrangère vers l''abonnement concerné'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregistre les flux affichés dans une page.';

-- --------------------------------------------------------

--
-- Table structure for table `abonnements_mail`
--

CREATE TABLE `abonnements_mail` (
  `abonnement_id` mediumint(8) UNSIGNED NOT NULL COMMENT 'id de l''abonnement (clé étrangère)',
  `utilisateur_id` mediumint(8) UNSIGNED NOT NULL COMMENT 'id de l''utilisateur concerné',
  `time_envoi` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la tentative d''envoi',
  `succes` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT 'booléen suivant réussite ou non de l''envoi',
  `cle` varchar(12) NOT NULL COMMENT 's''ajoute au timestamp d''envoi pour validé un lien du mail créant une session.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregistre les logs d''envoi des mailings.';

-- --------------------------------------------------------

--
-- Table structure for table `abonnements_pauses`
--

CREATE TABLE `abonnements_pauses` (
  `periode_id` smallint(5) UNSIGNED NOT NULL COMMENT 'clé étrangère vers la période d''absence concernée',
  `abonnement_id` mediumint(8) UNSIGNED NOT NULL COMMENT 'clé étrangère vers l''abonnement à mettre en pause durant la période d''absence'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='désigne les abonnements à mettre en pause durant une période d''absence.';

-- --------------------------------------------------------

--
-- Table structure for table `annonces`
--

CREATE TABLE `annonces` (
  `id_annonce` mediumint(6) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `emplacement` enum('header','footer') NOT NULL DEFAULT 'header' COMMENT 'emplacement de l''annonce',
  `titre` varchar(50) NOT NULL COMMENT 'désignation interne de l''annonce.',
  `annonce` varchar(255) NOT NULL COMMENT 'le texte de l''annonce',
  `lien_url` varchar(255) NOT NULL COMMENT 'url de la page liée',
  `lien_ancre` varchar(25) NOT NULL DEFAULT '+ DÉCOUVRIR' COMMENT 'ancre du lien de l''annonce',
  `commentaires` varchar(255) DEFAULT NULL COMMENT 'mémo interne concernant l''annonce',
  `time_debut` int(10) UNSIGNED NOT NULL COMMENT 'timestamp date de début de diffusion de l''annonce',
  `time_fin` int(10) UNSIGNED NOT NULL COMMENT 'timestamp date de fin de diffusion de l''annonce',
  `nb_envois` mediumint(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'nb de fois que l''annonce a été envoyées',
  `nb_envois_uniques` mediumint(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'nb de fois que l''annonce a été envoyées à un abonné différent',
  `nb_clics` mediumint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'nombre de clics sur l''annonce',
  `nb_clics_uniques` mediumint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'nombre de clics sur l''annonce d''abonnés différents',
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la création de l''annonce (heure serveur)',
  `time_maj` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la dernière mise à jour de l''annonce (heure serveur)',
  `auteur_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'identifiant de l''administrateur ayant créé l''annonce.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='les annonces à ajouter aux flux d''actualités des abonnements.';

-- --------------------------------------------------------

--
-- Table structure for table `annonces_clics`
--

CREATE TABLE `annonces_clics` (
  `id_clic` int(10) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `annonce_id` mediumint(6) UNSIGNED NOT NULL COMMENT 'identifiant de l''annonce cliquée.',
  `utilisateur_id` mediumint(8) UNSIGNED NOT NULL COMMENT 'identifiant de l''abonné cliquant sur l''annonce.',
  `time_clic` int(10) UNSIGNED NOT NULL COMMENT 'timestamp du clic sur l''annonce.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `annonces_diffusions`
--

CREATE TABLE `annonces_diffusions` (
  `id_diffusion` int(11) NOT NULL COMMENT 'clé primaire',
  `annonce_id` mediumint(6) UNSIGNED NOT NULL COMMENT 'identifiant de l''annonce diffusée',
  `utilisateur_id` mediumint(8) UNSIGNED NOT NULL COMMENT 'identifiant de l''utilisateur recevant l''annonce',
  `time_envoi` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de l''envoi'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='enregistre chaque diffusion d''une annonce via l''envoi d''un abonnement';

-- --------------------------------------------------------

--
-- Table structure for table `annonces_rubriques_cible`
--

CREATE TABLE `annonces_rubriques_cible` (
  `annonce_id` mediumint(6) UNSIGNED NOT NULL COMMENT 'identifiant de l''annonce diffusée.',
  `rubrique_id` smallint(5) UNSIGNED NOT NULL COMMENT 'identifiant de la rubrique dont les abonnés sont ciblés.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='enregiste les rubriques dont les abonnés sont ciblés par une annonce.';

-- --------------------------------------------------------

--
-- Table structure for table `flux`
--

CREATE TABLE `flux` (
  `id_flux` smallint(5) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `nom` varchar(150) NOT NULL COMMENT 'désignation',
  `url` varchar(150) NOT NULL COMMENT 'url complète du flux',
  `auteur_id` mediumint(8) UNSIGNED DEFAULT NULL,
  `source_id` mediumint(5) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère vers l''utilisateur ayant enregistré le flux',
  `description` text DEFAULT NULL,
  `langue` char(3) NOT NULL DEFAULT 'fr' COMMENT 'langue principale des articles listés dans ce flux',
  `frequence_maj` enum('H','J') NOT NULL DEFAULT 'H' COMMENT 'fréquence de lecture du flux',
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de l''enregistrement du flux',
  `time_maj` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de la dernière mise à jour du flux',
  `time_lecture` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de la dernière lecture du flux',
  `nb_clics` int(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'nombre clics reçus par les liens de ce flux depuis son enregistrement',
  `memo` tinytext DEFAULT NULL COMMENT 'champ mémo. Visible uniquement administrateurs'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='les flux proposé aux utilisateurs pour leurs abonnements.';

-- --------------------------------------------------------

--
-- Table structure for table `flux_sources`
--

CREATE TABLE `flux_sources` (
  `id_source` mediumint(5) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `nom` varchar(50) NOT NULL COMMENT 'désignation',
  `url` varchar(100) NOT NULL COMMENT 'url complète du site source.',
  `description` tinytext DEFAULT NULL,
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp d''enregistrement de la source',
  `time_maj` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la dernière mise à jour de la source',
  `auteur_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'identifiant de l''utiliseur ayant créé cet enregistrement.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='les sites à l''origine des flux d''actualités répertoriés.';

-- --------------------------------------------------------

--
-- Table structure for table `hub`
--

CREATE TABLE `hub` (
  `id_hub` mediumint(6) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `nom` varchar(150) NOT NULL COMMENT 'désignation du hub',
  `auteur_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère pointant vers l''utilisateur ayant créé le hub (0=créé par script)',
  `publication_ok` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'booléen suivant si le bub accepte ou non les publications des utilisateurs.',
  `index_ok` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'ce hub est-il indexable ou non pour les moteurs de recherche ?',
  `description` text DEFAULT NULL COMMENT 'description publique du hub',
  `illustration` varchar(60) DEFAULT NULL COMMENT 'adresse de l''image illustrant le hub',
  `langue` char(3) NOT NULL DEFAULT 'fr',
  `mots_cles` text DEFAULT NULL COMMENT 'mots-clés décrivant le hub, séparés par des virgules, invisibles à l''affichage mais utile pour moteur de recherche.',
  `memo` tinytext DEFAULT NULL,
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de l''enregistrement initial du hub',
  `time_maj` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de la dernière mise à jour des infos du hub.',
  `time_validation` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de validation du hub. Si = time_crea, hub créé par administrateur'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='les flux proposé aux utilisateurs pour leurs abonnements.';

-- --------------------------------------------------------

--
-- Table structure for table `hub_admin`
--

CREATE TABLE `hub_admin` (
  `id_hub` mediumint(6) UNSIGNED NOT NULL COMMENT 'clé étrangère vers le hub concerné',
  `id_utilisateur` mediumint(8) UNSIGNED NOT NULL COMMENT 'clé étrangère vers l''utilisateur ayant le rôle d''administrateur du hub',
  `time_admin` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la création du rôle d''administrateur.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Liste les utilisateurs administrateurs du hub.';

-- --------------------------------------------------------

--
-- Table structure for table `hub_classement_rubriques`
--

CREATE TABLE `hub_classement_rubriques` (
  `id_hub` mediumint(6) UNSIGNED NOT NULL COMMENT 'clé étrangère vers le hub concerné',
  `id_rubrique` smallint(5) UNSIGNED NOT NULL COMMENT 'clé étrangère vers la rubrique de classement',
  `reference_ok` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'booléen suivant si le hub est une référence pour cette rubrique'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Classement des hubs dans les rubriques de l''annuaire';

-- --------------------------------------------------------

--
-- Table structure for table `hub_flux`
--

CREATE TABLE `hub_flux` (
  `id_flux` smallint(5) UNSIGNED NOT NULL COMMENT 'clé étrangère vers le flux concerné',
  `id_hub` mediumint(6) UNSIGNED NOT NULL COMMENT 'clé étrangère vers le hub concerné'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='désigne le(s) hub recevant les liens des flux enregistrés.';

-- --------------------------------------------------------

--
-- Table structure for table `hub_post`
--

CREATE TABLE `hub_post` (
  `id_post` int(10) UNSIGNED NOT NULL,
  `hub_id` mediumint(6) UNSIGNED NOT NULL,
  `flux_id` smallint(5) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère vers le flux d''où vient le post si c''est le cas',
  `auteur_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère vers l''auteur du post si c''est le cas',
  `ancre` varchar(255) NOT NULL COMMENT 'titre du message servant d''ancre au lien.',
  `url` text DEFAULT NULL COMMENT 'url absolue du lien partagé (facultatif si annonce non vide)',
  `annonce` text DEFAULT NULL COMMENT 'texte de l''annonce si existe (ne peut être vide si url vide)',
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de l''enregistrement du post (=timestamp importation si c''est le cas)',
  `time_flux` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de la date fournie par le flux si c''est le cas',
  `time_validation` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de validation du post si soumis par un utilisateur.',
  `time_diffusion` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de la date de début de diffusion si différente de la date de validation.',
  `time_expiration` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'la date à laquelle l''annonce pourra être supprimée (si différent de la durée configurée).',
  `illustration` varchar(60) DEFAULT NULL COMMENT 'le fichier illustrant l''annonce si fournit'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregistre temporairement les liens fournis par les différen';

-- --------------------------------------------------------

--
-- Table structure for table `hub_rubriques`
--

CREATE TABLE `hub_rubriques` (
  `id_rubrique` smallint(5) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `nom` varchar(55) NOT NULL COMMENT 'désignation',
  `description` tinytext DEFAULT NULL,
  `auteur_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère vers la table utilisateurs',
  `mere_id` smallint(5) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère vers la rubrique mère (0 pour les rubriques racine)',
  `reference_ok` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'booléen suivant si la rubrique est mise en avant ou non en entrée du répertoire',
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de l''enregistrement de la rubrique.',
  `time_maj` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la dernière mise à jour. ',
  `insee` varchar(5) DEFAULT NULL COMMENT 'clé étrangère de la ville associée à la rubrique pour flux d''actus locales'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Les rubriques/sous-rubriques du répertoire de flux.';

-- --------------------------------------------------------

--
-- Table structure for table `stat_clics_posts`
--

CREATE TABLE `stat_clics_posts` (
  `id_clic` int(10) UNSIGNED NOT NULL,
  `utilisateur_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'clé étrangère : id de l''utilisateur ayant cliqué',
  `time_clic` int(10) UNSIGNED NOT NULL COMMENT 'timestamp du clic',
  `contexte` enum('email','site') NOT NULL DEFAULT 'email' COMMENT 'clic dans un email ou sur le site ?',
  `abonnement_id` mediumint(8) UNSIGNED DEFAULT NULL COMMENT 'id de l''abonnement donnant lieu à ce clic (utile pour connaître abonnements inactifs)'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregistre les actions opérées par les utilisateurs.';

-- --------------------------------------------------------

--
-- Table structure for table `utilisateurs`
--

CREATE TABLE `utilisateurs` (
  `id_utilisateur` mediumint(8) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `pseudo` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT 'pseudo de l''utilisateur',
  `passe` varchar(255) DEFAULT NULL COMMENT 'mot de passe chiffré. Vide si compte non validé.',
  `email` varchar(70) NOT NULL,
  `statut` enum('utilisateur','administrateur') NOT NULL DEFAULT 'utilisateur',
  `presentation` text DEFAULT NULL COMMENT 'texte libre de présentation',
  `illustration` varchar(60) DEFAULT NULL COMMENT 'adresse du fichier image.',
  `ip_crea` varchar(50) NOT NULL COMMENT 'adresse ip de l''utilisateur lors de la création de son compte',
  `time_crea` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de la création du compte',
  `time_validation` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'timestamp de la validation du compte. 0 tant que l''email n''est pas validé.',
  `origine` varchar(50) NOT NULL DEFAULT 'inconnue' COMMENT 'origine de l''utilisateur : campagne, sites partenaires... site=inscription directe',
  `fuseau_horaire` varchar(50) NOT NULL DEFAULT 'Europe/Paris' COMMENT 'fuseau horaire utile pour calculer à décalage horaire à prendre pour l''envoi des emails.',
  `nb_clics` int(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'nombre de clics reçus par les posts de cet utilisateur'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Les comptes utilisateur.';

--
-- Dumping data for table `utilisateurs`
--

INSERT INTO `utilisateurs` (`id_utilisateur`, `pseudo`, `passe`, `email`, `statut`, `presentation`, `illustration`, `ip_crea`, `time_crea`, `time_validation`, `origine`, `fuseau_horaire`, `nb_clics`) VALUES
(3511, 'admin', '$2y$12$LvYJEA6mOl59Snt3fG6kN./WlqdJ7o5c1YlyEfArfVB8lW6KU97i2', 'adminHF@yopmail.com', 'administrateur', NULL, NULL, 'xxx', 1669464773, 1669464773, 'admin', 'Europe/Paris', 0);

-- --------------------------------------------------------

--
-- Table structure for table `utilisateurs_absences`
--

CREATE TABLE `utilisateurs_absences` (
  `id_periode` smallint(5) UNSIGNED NOT NULL,
  `utilisateur_id` mediumint(8) UNSIGNED NOT NULL,
  `time_debut` int(10) UNSIGNED NOT NULL COMMENT 'timestamp début période de vacances',
  `time_fin` int(10) UNSIGNED NOT NULL COMMENT 'timestamp fin période de vacances',
  `designation` varchar(50) CHARACTER SET latin1 DEFAULT NULL COMMENT 'désignation de la période'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregistre les périodes d''absences.';

-- --------------------------------------------------------

--
-- Table structure for table `utilisateurs_affichages`
--

CREATE TABLE `utilisateurs_affichages` (
  `id_affichage` int(10) UNSIGNED NOT NULL COMMENT 'clé primaire',
  `utilisateur_id` mediumint(8) UNSIGNED NOT NULL COMMENT 'id de l''utilisateur visitant la page',
  `page` varchar(255) DEFAULT NULL COMMENT 'url de la page affichée par l''utilisateur hors abonnements',
  `config` varchar(255) DEFAULT NULL COMMENT 'navigateur et OS détectés',
  `time_affichage` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de l''affichage',
  `contexte` enum('site','email') NOT NULL DEFAULT 'email' COMMENT 'l''affichage a-t-il été réalisé sur le site ou dans un email.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregiste les pages visitées par l''utilisateur';

-- --------------------------------------------------------

--
-- Table structure for table `utilisateurs_config_svg`
--

CREATE TABLE `utilisateurs_config_svg` (
  `config` varchar(255) NOT NULL COMMENT 'configuration',
  `mois` varchar(7) NOT NULL COMMENT 'mois au format YYYY-N',
  `nb_utilisateurs` smallint(5) NOT NULL COMMENT 'nb d''utilisateurs comptés pour des affichages avec cette config durant le mois'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='statistiques d''affichage des emails';

-- --------------------------------------------------------

--
-- Table structure for table `utilisateurs_sessions`
--

CREATE TABLE `utilisateurs_sessions` (
  `utilisateur_id` mediumint(8) UNSIGNED NOT NULL,
  `time_session` int(10) UNSIGNED NOT NULL COMMENT 'timestamp de création de la session.',
  `ip_session` varchar(50) NOT NULL COMMENT 'adresse ip de la création de la session',
  `config` varchar(255) DEFAULT NULL COMMENT 'navigateur et OS détectés',
  `referer` varchar(255) DEFAULT NULL COMMENT 'page referer lors de la connexion si connue'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Enregistre des logs de connexion des utilisateurs.';

-- --------------------------------------------------------

--
-- Table structure for table `utilisateurs_svg`
--

CREATE TABLE `utilisateurs_svg` (
  `id_utilisateur` mediumint(8) UNSIGNED NOT NULL,
  `time_maj` int(10) NOT NULL DEFAULT 0 COMMENT 'timestamp de l''enregistrement',
  `pseudo` varchar(50) DEFAULT NULL COMMENT 'pseudo de l''utilisateur',
  `passe` varchar(255) DEFAULT NULL COMMENT 'mot de passe chiffré. Vide si compte non validé.',
  `email` varchar(70) DEFAULT NULL,
  `statut` enum('utilisateur','administrateur') DEFAULT NULL,
  `presentation` text DEFAULT NULL COMMENT 'texte libre de présentation',
  `abo_max_liens` enum('min','max') DEFAULT NULL COMMENT 'définit le nombre de liens à intégrer dans les emails des abonnements.',
  `illustration` varchar(60) DEFAULT NULL COMMENT 'adresse du fichier image.',
  `ip_crea` varchar(50) DEFAULT NULL COMMENT 'adresse ip de l''utilisateur lors de la création de son compte',
  `time_crea` int(10) UNSIGNED DEFAULT NULL COMMENT 'timestamp de la création du compte',
  `time_validation` int(10) UNSIGNED DEFAULT NULL COMMENT 'timestamp de la validation du compte. 0 tant que l''email n''est pas validé.',
  `time_suppr` int(10) UNSIGNED DEFAULT NULL COMMENT 'timestamp de la suppression du compte',
  `origine` varchar(50) DEFAULT NULL COMMENT 'origine de l''utilisateur : campagne, sites partenaires... site=inscription directe',
  `ville_insee` varchar(5) DEFAULT NULL COMMENT 'peut être si ville utilisateur inconnue ou hors France.',
  `fuseau_horaire` varchar(50) DEFAULT NULL COMMENT 'fuseau horaire utile pour calculer à décalage horaire à prendre pour l''envoi des emails.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sauvegarde des comptes utilisateur : un enregistrement / maj';

-- --------------------------------------------------------

--
-- Table structure for table `villes`
--

CREATE TABLE `villes` (
  `insee` varchar(5) NOT NULL COMMENT 'code insee unique de la ville (5 chiffres)',
  `cp` varchar(5) NOT NULL COMMENT 'code postal (5 chiffres)',
  `nom` varchar(45) NOT NULL COMMENT 'nom de la ville',
  `dep_num` varchar(3) NOT NULL COMMENT 'numéro du département',
  `dep_nom` varchar(30) NOT NULL COMMENT 'nom du département',
  `region_nom` varchar(30) NOT NULL COMMENT 'nom de la région',
  `rubrique_id` mediumint(5) UNSIGNED NOT NULL COMMENT 'clé étrangère vers la rubrique listant les flux de cette ville'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='les villes utiles pour classer les flux & localiser les util';

--
-- Indexes for dumped tables
--

--
-- Indexes for table `abonnements`
--
ALTER TABLE `abonnements`
  ADD PRIMARY KEY (`id_abonnement`),
  ADD KEY `alerte_ok` (`jours_alerte`),
  ADD KEY `auteur_id` (`auteur_id`),
  ADD KEY `time_envoi` (`time_envoi`),
  ADD KEY `heure_alerte` (`heure_alerte`),
  ADD KEY `decalage_horaire` (`decalage_horaire`),
  ADD KEY `actif_ok` (`actif_ok`),
  ADD KEY `ville_insee` (`ville_insee`,`max_liens`);

--
-- Indexes for table `abonnements_hub`
--
ALTER TABLE `abonnements_hub`
  ADD PRIMARY KEY (`id_hub`,`id_abonnement`),
  ADD KEY `abonnement_flux` (`id_abonnement`);

--
-- Indexes for table `abonnements_mail`
--
ALTER TABLE `abonnements_mail`
  ADD PRIMARY KEY (`abonnement_id`,`time_envoi`),
  ADD KEY `succes` (`succes`),
  ADD KEY `utilisateur_id` (`utilisateur_id`),
  ADD KEY `cle` (`cle`);

--
-- Indexes for table `abonnements_pauses`
--
ALTER TABLE `abonnements_pauses`
  ADD PRIMARY KEY (`periode_id`,`abonnement_id`),
  ADD KEY `abonnement_id` (`abonnement_id`);

--
-- Indexes for table `annonces`
--
ALTER TABLE `annonces`
  ADD PRIMARY KEY (`id_annonce`),
  ADD KEY `emplacement` (`emplacement`),
  ADD KEY `auteur_id` (`auteur_id`);

--
-- Indexes for table `annonces_clics`
--
ALTER TABLE `annonces_clics`
  ADD PRIMARY KEY (`id_clic`),
  ADD KEY `utilisateur_id` (`utilisateur_id`),
  ADD KEY `annonce_id` (`annonce_id`);

--
-- Indexes for table `annonces_diffusions`
--
ALTER TABLE `annonces_diffusions`
  ADD PRIMARY KEY (`id_diffusion`),
  ADD KEY `annonce_id` (`annonce_id`,`utilisateur_id`),
  ADD KEY `utilisateur_id` (`utilisateur_id`);

--
-- Indexes for table `annonces_rubriques_cible`
--
ALTER TABLE `annonces_rubriques_cible`
  ADD PRIMARY KEY (`annonce_id`,`rubrique_id`),
  ADD KEY `rubrique_id` (`rubrique_id`);

--
-- Indexes for table `flux`
--
ALTER TABLE `flux`
  ADD PRIMARY KEY (`id_flux`),
  ADD UNIQUE KEY `url` (`url`),
  ADD KEY `frequence_maj` (`frequence_maj`),
  ADD KEY `auteur_id` (`auteur_id`),
  ADD KEY `source_id` (`source_id`),
  ADD KEY `nom` (`nom`);

--
-- Indexes for table `flux_sources`
--
ALTER TABLE `flux_sources`
  ADD PRIMARY KEY (`id_source`),
  ADD KEY `auteur_id` (`auteur_id`);

--
-- Indexes for table `hub`
--
ALTER TABLE `hub`
  ADD PRIMARY KEY (`id_hub`),
  ADD UNIQUE KEY `nom` (`nom`),
  ADD KEY `auteur_id` (`auteur_id`),
  ADD KEY `time_validation` (`time_validation`),
  ADD KEY `publication_ok` (`publication_ok`);

--
-- Indexes for table `hub_admin`
--
ALTER TABLE `hub_admin`
  ADD PRIMARY KEY (`id_hub`,`id_utilisateur`),
  ADD KEY `id_utilisateur` (`id_utilisateur`);

--
-- Indexes for table `hub_classement_rubriques`
--
ALTER TABLE `hub_classement_rubriques`
  ADD PRIMARY KEY (`id_hub`,`id_rubrique`),
  ADD KEY `reference_ok` (`reference_ok`),
  ADD KEY `la rubrique !` (`id_rubrique`);

--
-- Indexes for table `hub_flux`
--
ALTER TABLE `hub_flux`
  ADD PRIMARY KEY (`id_flux`,`id_hub`),
  ADD KEY `id_hub` (`id_hub`);

--
-- Indexes for table `hub_post`
--
ALTER TABLE `hub_post`
  ADD PRIMARY KEY (`id_post`),
  ADD KEY `flux_id` (`flux_id`),
  ADD KEY `time_validation` (`time_validation`),
  ADD KEY `auteur_id` (`auteur_id`),
  ADD KEY `hub_id` (`hub_id`),
  ADD KEY `time_diffusion` (`time_diffusion`,`time_expiration`);

--
-- Indexes for table `hub_rubriques`
--
ALTER TABLE `hub_rubriques`
  ADD PRIMARY KEY (`id_rubrique`),
  ADD KEY `auteur_id` (`auteur_id`,`mere_id`),
  ADD KEY `mere_id` (`mere_id`),
  ADD KEY `reference_ok` (`reference_ok`),
  ADD KEY `insee` (`insee`),
  ADD KEY `nom` (`nom`);

--
-- Indexes for table `stat_clics_posts`
--
ALTER TABLE `stat_clics_posts`
  ADD PRIMARY KEY (`id_clic`),
  ADD KEY `lien_id` (`utilisateur_id`),
  ADD KEY `utilisateur_id` (`utilisateur_id`),
  ADD KEY `abonnement_id` (`abonnement_id`),
  ADD KEY `utilisateur_id_2` (`utilisateur_id`);

--
-- Indexes for table `utilisateurs`
--
ALTER TABLE `utilisateurs`
  ADD PRIMARY KEY (`id_utilisateur`),
  ADD UNIQUE KEY `login` (`pseudo`,`illustration`),
  ADD KEY `email` (`email`,`statut`),
  ADD KEY `origine` (`origine`),
  ADD KEY `fuseau_horaire` (`fuseau_horaire`);

--
-- Indexes for table `utilisateurs_absences`
--
ALTER TABLE `utilisateurs_absences`
  ADD PRIMARY KEY (`id_periode`),
  ADD KEY `utilisateur_id` (`utilisateur_id`,`time_debut`,`time_fin`);

--
-- Indexes for table `utilisateurs_affichages`
--
ALTER TABLE `utilisateurs_affichages`
  ADD PRIMARY KEY (`id_affichage`),
  ADD KEY `contexte` (`contexte`),
  ADD KEY `utilisateur_id` (`utilisateur_id`),
  ADD KEY `config` (`config`);

--
-- Indexes for table `utilisateurs_config_svg`
--
ALTER TABLE `utilisateurs_config_svg`
  ADD PRIMARY KEY (`config`,`mois`),
  ADD KEY `nb_utilisateurs` (`nb_utilisateurs`);

--
-- Indexes for table `utilisateurs_sessions`
--
ALTER TABLE `utilisateurs_sessions`
  ADD PRIMARY KEY (`utilisateur_id`,`time_session`),
  ADD KEY `config` (`config`);

--
-- Indexes for table `utilisateurs_svg`
--
ALTER TABLE `utilisateurs_svg`
  ADD PRIMARY KEY (`id_utilisateur`,`time_maj`),
  ADD UNIQUE KEY `login` (`pseudo`,`illustration`),
  ADD KEY `email` (`email`,`statut`),
  ADD KEY `ville_insee` (`ville_insee`),
  ADD KEY `time_validation` (`time_validation`),
  ADD KEY `abo_max_liens` (`abo_max_liens`);

--
-- Indexes for table `villes`
--
ALTER TABLE `villes`
  ADD PRIMARY KEY (`insee`),
  ADD KEY `cp` (`cp`),
  ADD KEY `departement_numero` (`dep_num`),
  ADD KEY `region_nom` (`region_nom`),
  ADD KEY `rubrique_id` (`rubrique_id`),
  ADD KEY `dep_nom` (`dep_nom`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `abonnements`
--
ALTER TABLE `abonnements`
  MODIFY `id_abonnement` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `annonces`
--
ALTER TABLE `annonces`
  MODIFY `id_annonce` mediumint(6) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `annonces_clics`
--
ALTER TABLE `annonces_clics`
  MODIFY `id_clic` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `annonces_diffusions`
--
ALTER TABLE `annonces_diffusions`
  MODIFY `id_diffusion` int(11) NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `flux`
--
ALTER TABLE `flux`
  MODIFY `id_flux` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `flux_sources`
--
ALTER TABLE `flux_sources`
  MODIFY `id_source` mediumint(5) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `hub`
--
ALTER TABLE `hub`
  MODIFY `id_hub` mediumint(6) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `hub_post`
--
ALTER TABLE `hub_post`
  MODIFY `id_post` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `hub_rubriques`
--
ALTER TABLE `hub_rubriques`
  MODIFY `id_rubrique` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- AUTO_INCREMENT for table `stat_clics_posts`
--
ALTER TABLE `stat_clics_posts`
  MODIFY `id_clic` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `utilisateurs`
--
ALTER TABLE `utilisateurs`
  MODIFY `id_utilisateur` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire', AUTO_INCREMENT=3512;

--
-- AUTO_INCREMENT for table `utilisateurs_absences`
--
ALTER TABLE `utilisateurs_absences`
  MODIFY `id_periode` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `utilisateurs_affichages`
--
ALTER TABLE `utilisateurs_affichages`
  MODIFY `id_affichage` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'clé primaire';

--
-- Constraints for dumped tables
--

--
-- Constraints for table `abonnements`
--
ALTER TABLE `abonnements`
  ADD CONSTRAINT `abonnements_ibfk_1` FOREIGN KEY (`ville_insee`) REFERENCES `villes` (`insee`) ON DELETE SET NULL ON UPDATE NO ACTION,
  ADD CONSTRAINT `abonnements_utilisateur` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `abonnements_hub`
--
ALTER TABLE `abonnements_hub`
  ADD CONSTRAINT `abonnements_hub_ibfk_2` FOREIGN KEY (`id_abonnement`) REFERENCES `abonnements` (`id_abonnement`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `abonnements_hub_ibfk_3` FOREIGN KEY (`id_hub`) REFERENCES `hub` (`id_hub`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `abonnements_mail`
--
ALTER TABLE `abonnements_mail`
  ADD CONSTRAINT `abonnements_mail_ibfk_1` FOREIGN KEY (`utilisateur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `abonnements_mail_ibfk_2` FOREIGN KEY (`abonnement_id`) REFERENCES `abonnements` (`id_abonnement`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `abonnements_pauses`
--
ALTER TABLE `abonnements_pauses`
  ADD CONSTRAINT `abonnements_pauses_ibfk_2` FOREIGN KEY (`abonnement_id`) REFERENCES `abonnements` (`id_abonnement`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `abonnements_pauses_ibfk_3` FOREIGN KEY (`periode_id`) REFERENCES `utilisateurs_absences` (`id_periode`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `annonces`
--
ALTER TABLE `annonces`
  ADD CONSTRAINT `annonces_ibfk_1` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE SET NULL ON UPDATE NO ACTION;

--
-- Constraints for table `annonces_clics`
--
ALTER TABLE `annonces_clics`
  ADD CONSTRAINT `annonce_cliquee` FOREIGN KEY (`annonce_id`) REFERENCES `annonces` (`id_annonce`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `annonces_cliqueur` FOREIGN KEY (`utilisateur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `annonces_diffusions`
--
ALTER TABLE `annonces_diffusions`
  ADD CONSTRAINT `annonces_diffusions_ibfk_1` FOREIGN KEY (`annonce_id`) REFERENCES `annonces` (`id_annonce`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `annonces_rubriques_cible`
--
ALTER TABLE `annonces_rubriques_cible`
  ADD CONSTRAINT `annonces_rubriques_cible_ibfk_1` FOREIGN KEY (`annonce_id`) REFERENCES `annonces` (`id_annonce`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `flux`
--
ALTER TABLE `flux`
  ADD CONSTRAINT `auteur_flux` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE SET NULL ON UPDATE NO ACTION,
  ADD CONSTRAINT `source_du_flux` FOREIGN KEY (`source_id`) REFERENCES `flux_sources` (`id_source`) ON DELETE SET NULL ON UPDATE NO ACTION;

--
-- Constraints for table `flux_sources`
--
ALTER TABLE `flux_sources`
  ADD CONSTRAINT `utilisateur ayant créé la source` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE SET NULL ON UPDATE NO ACTION;

--
-- Constraints for table `hub`
--
ALTER TABLE `hub`
  ADD CONSTRAINT `fondateur` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE SET NULL ON UPDATE NO ACTION;

--
-- Constraints for table `hub_admin`
--
ALTER TABLE `hub_admin`
  ADD CONSTRAINT `hub_admin_ibfk_2` FOREIGN KEY (`id_utilisateur`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_admin_ibfk_3` FOREIGN KEY (`id_hub`) REFERENCES `hub` (`id_hub`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `hub_classement_rubriques`
--
ALTER TABLE `hub_classement_rubriques`
  ADD CONSTRAINT `hub_classement_rubriques_ibfk_2` FOREIGN KEY (`id_rubrique`) REFERENCES `hub_rubriques` (`id_rubrique`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_classement_rubriques_ibfk_3` FOREIGN KEY (`id_hub`) REFERENCES `hub` (`id_hub`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `hub_flux`
--
ALTER TABLE `hub_flux`
  ADD CONSTRAINT `hub_flux_ibfk_1` FOREIGN KEY (`id_flux`) REFERENCES `flux` (`id_flux`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_flux_ibfk_2` FOREIGN KEY (`id_hub`) REFERENCES `hub` (`id_hub`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `hub_post`
--
ALTER TABLE `hub_post`
  ADD CONSTRAINT `hub_post_ibfk_3` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_post_ibfk_4` FOREIGN KEY (`flux_id`) REFERENCES `flux` (`id_flux`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_post_ibfk_5` FOREIGN KEY (`hub_id`) REFERENCES `hub` (`id_hub`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `hub_rubriques`
--
ALTER TABLE `hub_rubriques`
  ADD CONSTRAINT `hub_rubriques_ibfk_1` FOREIGN KEY (`auteur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE SET NULL ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_rubriques_ibfk_2` FOREIGN KEY (`mere_id`) REFERENCES `hub_rubriques` (`id_rubrique`) ON DELETE SET NULL ON UPDATE NO ACTION,
  ADD CONSTRAINT `hub_rubriques_ibfk_3` FOREIGN KEY (`insee`) REFERENCES `villes` (`insee`) ON DELETE SET NULL ON UPDATE NO ACTION;

--
-- Constraints for table `stat_clics_posts`
--
ALTER TABLE `stat_clics_posts`
  ADD CONSTRAINT `abonnement` FOREIGN KEY (`abonnement_id`) REFERENCES `abonnements` (`id_abonnement`) ON DELETE CASCADE,
  ADD CONSTRAINT `utilisateur` FOREIGN KEY (`utilisateur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE;

--
-- Constraints for table `utilisateurs_absences`
--
ALTER TABLE `utilisateurs_absences`
  ADD CONSTRAINT `utilisateur ayant saisi la période d'absence` FOREIGN KEY (`utilisateur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `utilisateurs_affichages`
--
ALTER TABLE `utilisateurs_affichages`
  ADD CONSTRAINT `utilisateur visitant la page` FOREIGN KEY (`utilisateur_id`) REFERENCES `utilisateurs` (`id_utilisateur`) ON DELETE CASCADE ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
